Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class BlockNote

    java.lang.Object
      net.minecraft.src.Block
          net.minecraft.src.BlockContainer
              net.minecraft.src.BlockNote

    public class BlockNote

extends BlockContainer

Field Summary

Fields inherited from class net.minecraft.src.Block
`bed, bedrock, blockClay, blockDiamond, blockEmerald, blockGold, blockID, blockIndexInTexture, blockLapis, blockMaterial, blockParticleGravity, blocksList, blockSnow, blockSteel, bookShelf, brewingStand, brick, button, cactus, cake, canBlockGrass, cauldron, chest, cloth, cobblestone, cobblestoneMossy, cocoaPlant, crops, deadBush, dirt, dispenser, doorSteel, doorWood, dragonEgg, enchantmentTable, enderChest, endPortal, endPortalFrame, fence, fenceGate, fenceIron, field_82507_n, field_82508_o, field_82509_m, field_82510_ck, field_82511_ci, field_82512_cj, field_82513_cg, field_82514_ch, field_82515_ce, field_82516_cf, field_82517_cc, field_82518_cd, fire, glass, glowStone, grass, gravel, ice, isDefaultTexture, jukebox, ladder, lavaMoving, lavaStill, leaves, lever, lightOpacity, lightValue, lockedChest, melon, melonStem, mobSpawner, mushroomBrown, mushroomCapBrown, mushroomCapRed, mushroomRed, music, mycelium, netherBrick, netherFence, netherrack, netherStalk, obsidian, opaqueCubeLookup, oreCoal, oreDiamond, oreEmerald, oreGold, oreIron, oreLapis, oreRedstone, oreRedstoneGlowing, pistonBase, pistonExtension, pistonMoving, pistonStickyBase, planks, plantRed, plantYellow, portal, pressurePlatePlanks, pressurePlateStone, pumpkin, pumpkinLantern, pumpkinStem, rail, railDetector, railPowered, redstoneLampActive, redstoneLampIdle, redstoneRepeaterActive, redstoneRepeaterIdle, redstoneWire, reed, requiresSelfNotify, sand, sandStone, sapling, signPost, signWall, silverfish, slipperiness, slowSand, snow, soundClothFootstep, soundGlassFootstep, soundGrassFootstep, soundGravelFootstep, soundMetalFootstep, soundPowderFootstep, soundSandFootstep, soundStoneFootstep, soundWoodFootstep, sponge, stairCompactCobblestone, stairCompactPlanks, stairsBrick, stairsNetherBrick, stairsSandStone, stairsStoneBrickSmooth, stairsWoodBirch, stairsWoodJungle, stairsWoodSpruce, stepSound, stone, stoneBrick, stoneDoubleSlab, stoneOvenActive, stoneOvenIdle, stoneSingleSlab, tallGrass, thinGlass, tilledField, tnt, torchRedstoneActive, torchRedstoneIdle, torchWood, trapdoor, tripWire, tripWireSource, useNeighborBrightness, vine, waterlily, waterMoving, waterStill, web, whiteStone, wood, woodDoubleSlab, woodSingleSlab, workbench`

Constructor Summary
`BlockNote(int par1)`

Method Summary
`TileEntity` | `createNewTileEntity(World par1World)` Returns a new instance of a block's tile entity class.
`int` | `getBlockTextureFromSide(int par1)` Returns the block texture based on the side being looked at.
`boolean` | `onBlockActivated(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer, int par6, float par7, float par8, float par9)` Called upon block activation (right click on the block.)
`void` | `onBlockClicked(World par1World, int par2, int par3, int par4, EntityPlayer par5EntityPlayer)` Called when the block is clicked by a player.
`void` | `onBlockEventReceived(World par1World, int par2, int par3, int par4, int par5, int par6)` Called when the block receives a BlockEvent - see World.addBlockEvent.
`void` | `onNeighborBlockChange(World par1World, int par2, int par3, int par4, int par5)` Lets the block know when one of its neighbor changes.

Methods inherited from class net.minecraft.src.BlockContainer
`breakBlock, createNewTileEntity, onBlockAdded`

Methods inherited from class net.minecraft.src.Block
`addBlockDestroyEffects, addBlockHitEffects, addCollidingBlockToList, addCreativeItems, beginLeavesDecay, canBeReplacedByLeaves, canBlockStay, canCollideCheck, canConnectRedstone, canCreatureSpawn, canDragonDestroy, canHarvestBlock, canPlaceBlockAt, canPlaceBlockOnSide, canPlaceTorchOnTop, canProvidePower, canRenderInPass, canSilkHarvest, canSustainLeaves, canSustainPlant, collisionRayTrace, colorMultiplier, createTileEntity, damageDropped, dropBlockAsItem, dropBlockAsItemWithChance, fillWithRain, func_82505_u_, func_82506_l, func_83005_z, func_83006_A, func_83007_w, func_83008_x, func_83009_v, func_83010_y, getAmbientOcclusionLightValue, getBedDirection, getBedSpawnPosition, getBlockBrightness, getBlockColor, getBlockDropped, getBlockHardness, getBlockName, getBlocksMovement, getBlockTexture, getBlockTextureFromSideAndMetadata, getCollisionBoundingBoxFromPool, getCreativeTabToDisplayOn, getDamageValue, getEnableStats, getExplosionResistance, getExplosionResistance, getFireSpreadSpeed, getFlammability, getLightOpacity, getLightValue, getMixedBrightnessForBlock, getMobilityFlag, getPickBlock, getPlayerRelativeBlockHardness, getRenderBlockPass, getRenderColor, getRenderType, getSelectedBoundingBoxFromPool, getSubBlocks, getTextureFile, getTickRandomly, harvestBlock, hasTileEntity, hasTileEntity, idDropped, idPicked, isAirBlock, isBed, isBedFoot, isBlockBurning, isBlockFoliage, isBlockNormalCube, isBlockReplaceable, isBlockSolid, isBlockSolidOnSide, isCollidable, isFertile, isFireSource, isFlammable, isGenMineableReplaceable, isIndirectlyPoweringTo, isLadder, isLeaves, isNormalCube, isOpaqueCube, isPoweringTo, isWood, onBlockDestroyedByExplosion, onBlockDestroyedByPlayer, onBlockHarvested, onBlockPlacedBy, onEntityCollidedWithBlock, onEntityWalking, onFallenUpon, onSetBlockIDWithMetaData, quantityDropped, quantityDropped, quantityDroppedWithBonus, randomDisplayTick, removeBlockByPlayer, renderAsNormalBlock, setBedOccupied, setBlockBounds, setBlockBoundsBasedOnState, setBlockBoundsForItemRender, setBlockName, setBlockUnbreakable, setBurnProperties, setCreativeTab, setHardness, setLightOpacity, setLightValue, setRequiresSelfNotify, setResistance, setStepSound, setTextureFile, setTickRandomly, shouldSideBeRendered, tickRate, translateBlockName, updateBlockMetadata, updateTick, velocityToAddToEntity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockNote

    public BlockNote(int par1)

Method Detail

### getBlockTextureFromSide

    public int getBlockTextureFromSide(int par1)

  Returns the block texture based on the side being looked at. Args: side

  Overrides:
    `getBlockTextureFromSide` in class `Block`

### onNeighborBlockChange

    public void onNeighborBlockChange(World par1World,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5)

  Lets the block know when one of its neighbor changes. Doesn't know which neighbor changed (coordinates passed are their own) Args: x, y, z, neighbor blockID

  Overrides:
    `onNeighborBlockChange` in class `Block`

### onBlockActivated

    public boolean onBlockActivated(World par1World,
                                    int par2,
                                    int par3,
                                    int par4,
                                    EntityPlayer par5EntityPlayer,
                                    int par6,
                                    float par7,
                                    float par8,
                                    float par9)

  Called upon block activation (right click on the block.)

  Overrides:
    `onBlockActivated` in class `Block`

### onBlockClicked

    public void onBlockClicked(World par1World,
                               int par2,
                               int par3,
                               int par4,
                               EntityPlayer par5EntityPlayer)

  Called when the block is clicked by a player. Args: x, y, z, entityPlayer

  Overrides:
    `onBlockClicked` in class `Block`

### createNewTileEntity

    public TileEntity createNewTileEntity(World par1World)

  Returns a new instance of a block's tile entity class. Called on placing the block.

  Specified by:
    `createNewTileEntity` in class `BlockContainer`

### onBlockEventReceived

    public void onBlockEventReceived(World par1World,
                                     int par2,
                                     int par3,
                                     int par4,
                                     int par5,
                                     int par6)

  Called when the block receives a BlockEvent - see World.addBlockEvent. By default, passes it on to the tile entity at this location. Args: world, x, y, z, blockID, EventID, event parameter

  Overrides:
    `onBlockEventReceived` in class `BlockContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD